EXPAND(1)

NAME
expand - convert tabs to spaces

SYNOPSIS
expand [-t tablist | -tablist] [file ...]

DESCRIPTION
The expand utility converts all tabulators found in its input files (or in standard input if no file argument is present) to spaces and writes the result to standard output. The input is ordered in columns according to the width of characters; a backspace character causes the column to be decremented. By default, a tabulator stop is assumed at every eight positions.

The following options alter the behavior of expand:

-t tablist
    Specify the positions of tabulator stops. If tablist is a single number, a tabulator stop is assumed at every tablist positions. If tablist is a list of numbers in strictly ascending order separated by commas or blanks, a tabulator stop is assumed at each numbered position. For column positions beyond the last tabulator stop, each tabulator character is converted to a single space character.

ENVIRONMENT VARIABLES

LANG, LC_ALL
    See locale(7).

LC_CTYPE
    Specifies the mapping of bytes to characters and the width of characters.

SEE ALSO
tabs(1), unexpand(1)